<!doctype html>
<html lang="de">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
        <link rel="stylesheet" href="./mudStyle.css">
        <title>Dungeon Dragons MUD</title>
    </head>
    <body>
    <div class="row">
        <h1 class="header col-lg-12 witheText" id="mainHeader">Dungeon Dragons MUD</h1>
    </div>


    <!--Anmeldung/Registrierung-->
    <div class="row" id="loginWrapper">
        <div class="col-md-5" style="color: white">
            <h6>Anmelden:</h6><br>
            <form id="loginForm">
                <label for="usrNameEMail" class="witheText">Benutzername oder E-Mail:</label>
                <input type="text" class="form-control" id="usrNameEMail">
                <label for="pswrd" class="witheText">Passwort:</label>
                <input type="password" class="form-control" id="pswrd" autocomplete="off"><br>
                <input class="btn-primary" type="submit" id="connectBtn" value="Verbinden">
            </form>
            <p id="logInStatus" style="color: white"></p>
            <form id="passwordForgottonForm">
                <label for="passwordForgottonEmail" class="witheText">E-Mail:</label>
                <input type="text" class="form-control" id="passwordForgottonEmail">
                <input class="btn-light" type="submit" id="passwordForgottenBtn" value="Passwort zurücksetzen">
            </form>
        </div>

        <div class="col-md-5" style="color: white">
            <h6>Registrieren:</h6>
            <form id="signUpForm">
                <label for="usrNameSU" class="witheText">Benutzername:</label>
                <input type="text" class="form-control" id="usrNameSU">
                <label for="email" class="witheText">E-Mail:</label>
                <input type="text" class="form-control" id="email">
                <label for="pswrdSU" class="witheText">Passwort:</label>
                <input type="password" class="form-control" id="pswrdSU" autocomplete="off"><br>
                <label for="pswrdSURepeat" class="witheText">Passwort wiederholen:</label>
                <input type="password" class="form-control" id="pswrdSURepeat" autocomplete="off"><br>
                <div id="legalWrapper">
                    <input type="checkbox" class="form-check-input" id="legalCheck">
                    <label class="form-check-label" for="legalCheck">Ich willige ein, dass meine E-Mail weiterverarbeitet wird.</label><br>
                </div>
                <input class="btn-primary" type="submit" id="signUpButton" value="Registrieren"><br>
                <p id="signUpFormStatus" style="color: white"></p>
            </form>
        </div>
    </div>
    <!--Spielauswahl-->
    <div id="gameChooseWrapper" style="display: none;">
        <div class="row witheText" id="gameChoose">
            <div class="col-md-5" id="joinGameNotDM">
                <h3 id="headerJoinGameNotDM">Beitretbare Spiele</h3>
                <table class="table witheText table-hover" id="tableNormalGames">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Spiel</th>
                        </tr>
                    </thead>
                    <tbody id="tBodyJoinGameNotDM">
                    <!--Add data via js here-->
                    </tbody>
                </table>
            </div>
            <div class="col-md-5" id="joinGameDM">
                <h3 id="headerJoinGameDM">Dungeon-Master-Spiele</h3>
                <table class="table witheText table-hover">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Spiel</th>
                    </tr>
                    </thead>
                    <tbody id="tBodyJoinGameDM">
                        <!--Add games via js here-->
                    </tbody>
                </table>
            </div>
            <div id="refreshGames" class="col-sm-1">
                <button class="btn" title="Spiele aktualisieren" onclick="getGames(playerId)"><img src="./pics/refresh.png" width="35rem" height="35rem"></button>
            </div>
        </div>
        <div class="row" id="createGameBtn">
            <div class="col-sm-2">
                <button class="btn-primary" onclick="configNewGame();">Neues Spiel</button>
            </div>
        </div>
        <div class="row" id="disconnect">
            <div class="col-sm-2">
                <button class="backButton btn-danger" id="disconnectFromChooseGame" onclick="disconnect()">Trennen</button>
            </div>
        </div>
    </div>

    <!--Spiel Konfiguration-->
    <div id="gameConfigWrapper" style="display: none;">
        <h3 id="headerGameConfig" class="witheText headers">Neues Spiel konfigurieren</h3>
        <div class="row" id="gameConfig">
            <div class="col-lg-8">
                <form class="witheText" id="gameConfigForm">
                    <div class="form-group firstElementGameConfig" id="gameNameContainer">
                        <label for="gameName">Spiel-Name:</label>
                        <input type="text" class="form-control" id="gameName">
                    </div>

                    <!-- Klassen -->
                    <div id="classContainer">
                        <div class="firstElementGameConfig form-group">
                            <label for="classes1" class="witheText">Klassen:</label>
                            <div class="input-group form-group" >
                                <input type="text" name="classes[]" class="form-control classCreate" id="classes1" placeholder="Klassenname">
                                <input type="text" name="abilitiesClass" class="form-control classCreateAbility" id="abilitiesClass" placeholder="Fertigkeit,Fertigkeit...">
                            </div>
                        </div>
                    </div>
                    <p id="addNewClass" class="addLink">
                        <a href="javascript:addClassField()">Klasse hinzufügen </a>
                    </p>

                    <!-- Klassen Template -->
                    <div id="newClassField" style="display:none">
                            <div class="newElementInput">
                                <div class="input-group form-group">
                                    <input type="text" name="classes[]" class="form-control classCreate" placeholder="Klassenname">
                                    <input type="text" class="form-control classCreateAbility" placeholder="Fertigkeit,Fertigkeit...">
                                </div>
                            </div>
                            <div class="newElementDelete">
                                <a class="removeConfigElement"><img src="./pics/cross.png" width="93%" height="93%"></a>
                            </div><br>
                    </div>


                    <!-- Rassen -->
                    <div id="raceContainer">
                        <div class="firstElementGameConfig form-group">
                            <label for="races1" class="witheText">Rassen:</label>
                            <div class="input-group form-group" >
                                <input type="text" name="races[]" class="form-control createRace" id="races1" placeholder="Rassenname">
                                <input type="text" name="abilitiesClass" class="form-control createRaceAbility" id="abilitiesRace" placeholder="Fertigkeit,Fertigkeit...">
                            </div>
                        </div>
                    </div>
                    <p id="addNewRace" class="addLink">
                        <a href="javascript:addRaceField()">Rasse hinzufügen </a>
                    </p>

                    <!-- Rassen Template -->
                    <div id="newRaceField" style="display:none">
                        <div class="newElementInput">
                            <div class="input-group form-group">
                                <input type="text" name="races[]" class="form-control createRace" placeholder="Rassenname">
                                <input type="text" class="form-control createRaceAbility" placeholder="Fertigkeit,Fertigkeit...">
                            </div>
                        </div>
                        <div class="newElementDelete">
                            <a class="removeConfigElement"><img src="./pics/cross.png" width="93%" height="93%"></a>
                        </div><br>
                    </div>

                    <!-- Items -->
                    <div id="itemContainer">
                        <div class="firstElementGameConfig form-group">
                            <label for="items1" class="witheText">Items:</label>
                            <div class="input-group form-group" >
                                <input type="text" name="item[]" class="form-control createItem" placeholder="Itemtyp">
                                <input type="text" name="abilitiesClass" class="form-control createItemName" placeholder="Itemname">
                                <input type="text" class="form-control createItemValue" placeholder="Itemwert (Ganzzahl)">
                            </div>
                        </div>
                    </div>
                    <p id="addNewItem" class="addLink">
                        <a href="javascript:addItemField()">Item hinzufügen</a>
                    </p>

                    <!-- Item Template -->
                    <div id="newItemField" style="display:none">
                        <div class="newElementInput">
                            <div class="input-group form-group">
                                <input type="text" name="items[]" class="form-control createItem" placeholder="Itemtyp">
                                <input type="text" class="form-control createItemName" placeholder="Itemname">
                                <input type="text" class="form-control createItemValue" placeholder="Itemwert (Ganzzahl)">
                            </div>
                        </div>
                        <div class="newElementDelete">
                            <a class="removeConfigElement"><img src="./pics/cross.png" width="93%" height="93%"></a>
                        </div><br>
                    </div>

                    <!-- Räume -->
                    <div id="roomContainer">
                        <div class="firstElementGameConfig form-group">
                            <label for="rooms1" class="witheText">Räume:</label>
                            <div class="input-group form-group" >
                                <input type="text" name="room[]" class="form-control createRoom" id="rooms1" placeholder="Raumname">
                                <input type="text" class="form-control createRoomX" placeholder="X-Koordinate (Ganzzahl)">
                                <input type="text" class="form-control createRoomY" placeholder="Y-Koordinate (Ganzzahl)">
                                <input type="text" class="form-control createRoomDescription" placeholder="Raumbeschreibung">
                            </div>
                        </div>
                    </div>
                    <p id="addNewRoom" class="addLink">
                        <a href="javascript:addRoomField()">Raum hinzufügen</a>
                    </p>

                    <!-- Raum Template -->
                    <div id="newRoomField" style="display:none">
                        <div class="newElementInput">
                            <div class="input-group form-group">
                                <input type="text" name="room[]" class="form-control createRoom" id="items1" placeholder="Raumname">
                                <input type="text" class="form-control createRoomX" placeholder="X-Koordinate (Ganzzahl)">
                                <input type="text" class="form-control createRoomY" placeholder="Y-Koordinate (Ganzzahl)">
                                <input type="text" class="form-control createRoomDescription" placeholder="Raumbeschreibung">
                            </div>
                        </div>
                        <div class="newElementDelete">
                            <a class="removeConfigElement"><img src="./pics/cross.png" width="93%" height="93%"></a>
                        </div><br>
                    </div>

                    <!-- Item in Räumen platzieren -->





                    <div id="itemRoomContainer">
                        <div class="firstElementGameConfig form-group">
                            <label for="races1" class="witheText">Items in Räumen platzieren:</label>
                            <div class="input-group form-group" >
                                <input type="text" name="itemRoom[]" class="form-control createItemRoomItem" placeholder="Itemname">
                                <input type="text" name="abilitiesClass" class="form-control createItemRoomRoom"  placeholder="Raumname">
                            </div>
                        </div>
                    </div>
                    <p id="addNewItemRoom" class="addLink">
                        <a href="javascript:addItemRoomField()">Weiteres Item platzieren</a>
                    </p>

                    <!-- Rassen Template -->
                    <div id="newItemRoomField" style="display:none">
                        <div class="newElementInput">
                            <div class="input-group form-group">
                                <input type="text" name="itemRoom[]" class="form-control createItemRoomItem" placeholder="Itemname">
                                <input type="text" name="abilitiesClass" class="form-control createItemRoomRoom"  placeholder="Raumname">
                            </div>
                        </div>
                        <div class="newElementDelete">
                            <a class="removeConfigElement"><img src="./pics/cross.png" width="93%" height="93%"></a>
                        </div><br>
                    </div>
                </form>
                <div id="createGameButtons">
                    <div class="col-sm-4" id="createGameDiv">
                        <button class="btn-primary"
                                value="Spiel erstellen"
                                id="submitGameBtn"
                                onclick="createNewGame()">
                            Spiel anlegen
                        </button>
                    </div>
                    <div class="col-sm-2" id="returnFromGameConfigDiv">
                        <button id="btnFromGameConfigToGameChoose"
                                class="btn-danger"
                                onclick="returnToChooseGame('gameConfig');">
                            Zurück zur Spielauswahl
                        </button>
                    </div>
                </div>
            </div>
            <div id="gameConfigExplanation" class="col-lg-3">
                <p class="witheText">
                    Willkommen bei der Spielkonfiguration. Hier kannst du ein neues Spiel erstellen.<br><br>
                    Wähle zunächst einen Namen für dein Spiel (min. ein Zeichen).<br><br>
                    Füge dann jeweils min. eine Klasse und Rasse hinzu und gebe ihnen freie Fertigkeiten (Fertigkeiten werden mit Komma getrennt).
                    Diese Fertigkeiten sind später Text-Kommandos, die zu den Räumen hinzugefügt werden können,
                    die nur diese Klassen oder Rassen benutzen können. <br><br>
                    Danach musst du mindestens ein Item erstellen. Du kannst dabei Itemtyp, -Name und einen Wert (z.B. Schadenswert)
                    frei wählen. <br><br>
                    Erstelle hiernach deine eigene MUD-Welt, indem du Räume hinzufügst. Die Räume sind über ein
                    Koordinaten-Tupel (x-Koordinate, y-Koordinate) lokalisiert. D.h. z.B. der Raum auf Position (0,1)
                    liegt nördlich von (0, 0). Beachte dass es einen Raum (0, 0) geben muss, da dies der spätere Startraum ist. Negative Zahlen als
                    Koordinaten sind möglich. Beachte keine Koordinaten doppelt zu belegen.<br><br>
                    Anschließend kannst du noch einen erstellten Gegenstand in einem Raum platzieren, indem du jeweils
                    den Namen angibst. Eine Platzierung musst du tätigen.<br><br>
                    <b>Bedenke stets dass deiner Fantasie keine Grenzen gesetzt sind und du deine Welt frei gestalten sollst.</b><br><br>
                </p>
            </div>
        </div>

    </div>

    <!--Charakter-Konfiguration-->
    <div id="characterConfigWrapper" style="display: none;">
        <h3 id="headerCharacterConfig" class="witheText headers">Charakter konfigurieren</h3>
        <div class="row" id="characterConfig">
            <div class="col-lg-8">
                <form class="witheText" id="characterConfigFrom">
                    <div class="form-group">
                        <label for="characterName">Name:</label>
                        <input type="text" class="form-control" id="characterName">
                    </div>
                    <div class="form-group">
                        <label for="chooseClass">Wähle eine Klasse</label>
                        <select id="chooseClass" class="form-control" name="chooseClass">
                            <!--Add options via JS-->
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="chooseRace">Wähle eine Rasse</label>
                        <select id="chooseRace" class="form-control" name="chooseRace">
                            <!--Add options via JS-->
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="chooseItem">Wähle einen Gegenstand</label>
                        <select id="chooseItem" class="form-control" name="chooseItem">
                            <!--Add options via JS-->
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="characterDescription">Beschreibung:</label>
                        <textarea id="characterDescription" class="form-control" rows="18" cols="80"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="characterPersonality">Persönlichkeit:</label>
                        <textarea id="characterPersonality" class="form-control" rows="18" cols="80"></textarea>
                    </div>
                    <div class="form-group">
                        <input type="submit" class="btn-primary form-control" value="Ins Abenteuer starten..." id="submitCharacterBtn">
                    </div>
                </form>
            </div>
        </div>
        <button id="btnFromCharacterConfigToGameChoose"
                class="btn-danger backButton"
                onclick="returnToChooseGame('characterConfig');">
            Zurück zur Spielauswahl
        </button>
    </div>
    <!--Spieloberfläche: Spieler-->
    <div id="gameBoardWrapper" style="display: none;">
        <h5 id="connectedAs"></h5>
        <div class="row">
            <div class="col-md-7 roundBorder witheText heightAdjust" id="gamePanel">
                <label for="gameTextArea">Spiel:</label><br>
                <textarea readonly id="gameTextArea" class="textArea" rows="25" cols="80"></textarea><br>
                <form id="gameInputForm">
                    <!--Just there for warning reasons-->
                    <label for="gameInput"></label>
                    <input class="textArea" type="text" id="gameInput" size="80">
                </form>
            </div>
            <div class="col-md-4 roundBorder witheText heightAdjust" id="chat">
                <label for="chatTextArea">Chat:</label><br>
                <textarea readonly id="chatTextArea" class="textArea" rows="25" cols="45"></textarea><br>
                <form id="chatInputForm">
                    <!--Just there for warning reasons-->
                    <label for="chatInput"></label>
                    <input class="textArea" type="text" id="chatInput" size="45">
                </form>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6">
                <button id="btnReturnFromGame"
                        class="btn-danger backButton"
                        onclick="returnToChooseGame('game');">
                    Zurück zur Spielauswahl
                </button>
            </div>
            <div class="col-sm-4">
                <button id="btnDeleteCharakter"
                        class="btn-danger backButton"
                        onclick="deleteCharakterFromGame()">
                    Charakter löschen
                </button>
            </div>
        </div>
        <div class="row row-einrueckung witheText">
            <div id="infoGameBoard" class="col-sm-6">
                <h5>Hinweise:</h5>
                <p>
                    Bewegung im Spiel durch die Räume:<br>
                    Norden (N), Süden (S), Osten (O), Westen (W)<br><br>
                    Aktuelle Informaitionen erhalten: info (i)
                </p>
            </div>
            <div class="col-sm-6">
                <p id="chatHints">
                    Bedienung Chat:<br>
                    Normale Nachricht -> Geht an alle Spieler im selben Raum<br>
                    Flüsterfunktion-Format: "@Username_1 (@Username_2 ...): Nachricht"<br>
                    Nachricht an Dungeon-Master: "@DM: Nachricht"
                </p>
            </div>
        </div>
    </div>

    <!--Spieloberfläche: DungeonMaster-->
    <div id="dungeonMasterWrapper" style="display: none;">
        <h3 id="headerDungeonMaster" class="witheText headers">Dungeon-Master-Übersicht</h3>
        <h4 id="headerGameInfo" class="witheText headers">Spielinformationen</h4>
        <p id="gameInfoText" class="witheText headers"><!--Add Info via REST-Call and JS here--></p>
        <h4 id="roomOverviewHeader" class="witheText headers">Raumübersicht</h4>
        <div class="row row-einrueckung">
            <div class="col-lg-11" id="roomOverviewWrapper">
                <table class="table witheText table-hover">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Raumname</th>
                            <th scope="col">X|Y</th>
                            <th scope="col">Beschreibung</th>
                            <th scope="col">Charaktere (Benutzername)</th>
                            <th scope="col">Verfügbare Aktionen</th>
                            <th scope="col">Raum-ID</th>
                        </tr>
                    </thead>
                        <tbody id="tBodyRoomOverview">
                        <!--Add rooms via js here-->
                        </tbody>
                </table>
            </div>
        </div>
        <div id="middleRowDM" class="row row-einrueckung">
            <div class="col-md-2">
                <h5 class="witheText">Globale Aktionen</h5>
                <table class="table witheText table-hover">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Aktion</th>
                    </tr>
                    </thead>
                    <tbody id="tBodyGlobalActions">
                    <!--Add rooms via js here-->
                    </tbody>
                </table>
            </div>
            <div id="currentCharactersTable" class="col-md-9">
                <h5 class="witheText">Aktive Charaktere</h5>
                <table class="table witheText table-hover">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Name</th>
                        <th scope="col">User</th>
                        <th scope="col">Klasse|Rasse</th>
                        <th scope="col">HP</th>
                        <th scope="col">DMG</th>
                        <th scope="col">Items</th>
                        <th scope="col">Spieler-ID</th>
                    </tr>
                    </thead>
                    <tbody id="tBodyCharacterOverview">
                    <!--Add rooms via js here-->
                    </tbody>
                </table>
            </div>
        </div>
        <div class="row row-einrueckung">
            <div class="col-md-4">
                <h5 id="headerNewActionDM" class="witheText">Neue Aktion</h5>
                <form id="newActionForm">
                    <div class="form-group">
                        <label for="newActionName">Aktions-Name</label>
                        <input type="text" id="newActionName" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="newActionResultHealth">Aktions-Ausgang</label>
                        <div class="input-group">
                            <input type="number" id="newActionResultHealth" class="form-control" placeholder="HP-Ausgang">
                            <input type="number" id="newActionResultDamage" class="form-control" placeholder="DMG-Ausgang">
                            <input type="text" id="newActionResult" class="form-control" placeholder="Text">
                        </div>
                    </div>
                    <div class="form-check" id="actionIsGlobalWrapper">
                        <input type="checkbox" class="form-check-input" id="actionIsGlobal">
                        <label class="form-check-label" for="actionIsGlobal">Global?</label>
                    </div>
                    <div class="form-group">
                        <label for="newActionRoomID">Raum-ID</label>
                        <input type="text" id="newActionRoomID" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="submit" class="btn-primary" value="Aktion einfügen">
                    </div>
                </form>
                <h5 id="headerChangeRoomDescription" class="witheText">Raumbeschreibung erneuern</h5>
                <form id="changeRoomDescForm">
                    <div class="form-group">
                        <label for="changeRoomDescId">Raum-ID</label>
                        <input type="text" id="changeRoomDescId" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="changeRoomDesc">Neue Beschreibung</label>
                        <input type="text" id="changeRoomDesc" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="submit" id="changeRoomDescBtn" class="btn-primary" value="Beschreibung ändern">
                    </div>
                </form>
                <h5 class="witheText">Spieler bannen</h5>
                <form id="banPlayerDM">
                    <div class="form-group">
                        <label for="banPlayerId">Spieler-ID:</label>
                        <input id="banPlayerId" type="text" class="form-control">

                    </div>
                    <div class="form-group">
                        <input type="submit" class="btn-danger" value="Spieler ausschließen" id="banPlayerBtn">
                    </div>
                </form>
            </div>
            <div class="col-md-4">
                <h5 id="headerNewRoomDM" class="witheText">Neuer Raum</h5>
                <form id="newRoomForm">
                    <div class="form-group">
                        <label for="newRoomName">Name:</label>
                        <input type="text" id="newRoomName" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="newRoomDescription">Beschreibung:</label>
                        <input type="text" id="newRoomDescription" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="newRoomX">X-Koordinate:</label>
                        <input type="number" id="newRoomX" class="form-control">
                        <label for="newRoomY">Y-Koordinate:</label>
                        <input type="number" id="newRoomY" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="newItemInRoomDMType">Gegenstand:</label>
                        <div class="input-group">
                            <input type="text" id="newItemInRoomDMType" class="form-control" placeholder="Itemtyp">
                            <input type="text" id="newItemInRoomDMName" class="form-control" placeholder="Itemname">
                            <input type="number" id="newItemInRoomDMValue" class="form-control" placeholder="Itemwert (Ganzahl)">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="newActionInRoomDM">Aktion:</label>
                        <input type="text" id="newActionInRoomDM" class="form-control" placeholder="Aktions-Name">
                        <div class="input-group">
                            <input type="number" id="newActionResultHealthRoom" class="form-control" placeholder="HP-Ausgang">
                            <input type="number" id="newActionResultDamageRoom" class="form-control" placeholder="DMG-Ausgang">
                            <input type="text" id="newActionResultRoom" class="form-control" placeholder="Text">
                        </div>
                    </div>
                    <div class="form-group">
                        <input type="submit" class="btn-primary" value="Raum erstellen">
                    </div>
                </form>
            </div>
            <div class="col-md-4">
                <div class="border-warning witheText heightAdjust" id="chatDM">
                    <label for="chatTextAreaDM">Chat:</label><br>
                    <textarea readonly id="chatTextAreaDM" class="textArea" rows="20" cols="40"></textarea><br>
                    <form id="chatInputFormDM">
                        <!--Just there for warning reasons-->
                        <label for="chatInputDM"></label>
                        <input class="textArea" type="text" id="chatInputDM" size="40">
                    </form>
                </div>
                <div class="witheText">
                    <p id="chatHintsDM">
                        Bedienung Chat:<br>
                        Normale Nachricht -> Geht an alle Spieler im Spiel<br>
                        Flüsterfunktion-Format: "@Username_1 (@Username_2 ...): Nachricht"
                    </p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5">
                <button id="btnFromDMToGameChoose"
                        class="btn-danger backButton"
                        onclick="returnToChooseGame('dm');">
                    Zurück zur Spielauswahl
                </button>
            </div>
            <div class="col-sm-7">
                <button id="btnDeleteGame"
                        class="btn-danger backButton"
                        onclick="deleteGame();">
                    Spiel beenden
                </button>
            </div>
        </div>
    </div>
    <div class="row" id="returnToLogin" style="display: none;">
        <div class="col-sm-1">
            <button class="btn-danger" onclick="window.alert('Hallo');">Trennen</button>
        </div>
    </div>

    <div id="impressum" class="row">
        <div class="col-sm-10">
        </div>
        <div class="col-sm-1">
            <a target="_blank" href="https://www2.ba-horb.de/~i18043/impressum/impressum.html"><h5>Impressum</h5></a>
        </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script src="/webjars/jquery/jquery.min.js"></script>
    <script src="/webjars/sockjs-client/sockjs.min.js"></script>
    <script src="/webjars/stomp-websocket/stomp.min.js"></script>
    <script src="./scripts/componentsView.js"></script>
    <script src="./scripts/components/dungeonMaster.js"></script>
    <script src="./scripts/components/charakterConfig.js"></script>
    <script src="./scripts/components/gameBoard.js"></script>
    <script src="./scripts/components/chooseGame.js"></script>
    <script src="./scripts/components/loginRegistration.js"></script>
    <script src="./mudClient.js"></script>
    <script src="./scripts/components/configGame.js"></script>
    </body>
</html>